# Generated by Django 2.2.6 on 2019-10-05 21:28

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Deliveries',
            fields=[
                ('match_id', models.IntegerField(primary_key=True, serialize=False)),
                ('inning', models.IntegerField()),
                ('batting_team', models.CharField(max_length=60)),
                ('bowling_team', models.CharField(max_length=60)),
                ('over', models.IntegerField()),
                ('ball', models.IntegerField()),
                ('batsman', models.CharField(max_length=60)),
                ('non_striker', models.CharField(max_length=60)),
                ('bowler', models.CharField(max_length=60)),
                ('is_super_over', models.IntegerField()),
                ('wide_runs', models.FloatField()),
                ('bye_runs', models.IntegerField()),
                ('legbye_runs', models.IntegerField()),
                ('noball_runs', models.FloatField()),
                ('penalty_runs', models.IntegerField()),
                ('batsman_runs', models.FloatField()),
                ('extra_runs', models.IntegerField()),
                ('total_runs', models.IntegerField()),
                ('player_dismissed', models.CharField(max_length=60)),
                ('dismissal_kind', models.CharField(max_length=60)),
                ('fielder', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='Matches',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('season', models.CharField(max_length=20)),
                ('city', models.CharField(max_length=60)),
                ('date', models.CharField(max_length=30)),
                ('team1', models.CharField(max_length=60)),
                ('team2', models.CharField(max_length=60)),
                ('toss_winner', models.CharField(max_length=60)),
                ('toss_decision', models.CharField(max_length=60)),
                ('dl_applied', models.IntegerField()),
                ('winner', models.CharField(max_length=60)),
                ('win_by_runs', models.IntegerField()),
                ('win_by_wickets', models.IntegerField()),
                ('player_of_match', models.CharField(max_length=60)),
                ('venue', models.CharField(max_length=60)),
                ('umpire1', models.CharField(max_length=30)),
                ('umpire2', models.CharField(max_length=30)),
                ('umpire3', models.CharField(max_length=30)),
            ],
        ),
    ]
